/**
 */
package demo.catalog.democatalog;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see demo.catalog.democatalog.democatalogFactory
 * @model kind="package"
 * @generated
 */
public interface democatalogPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "democatalog";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.example.org/democatalog";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "democatalog";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	democatalogPackage eINSTANCE = demo.catalog.democatalog.impl.democatalogPackageImpl.init();

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.EnergyComponentsCatalogImpl <em>Energy Components Catalog</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.EnergyComponentsCatalogImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getEnergyComponentsCatalog()
	 * @generated
	 */
	int ENERGY_COMPONENTS_CATALOG = 0;

	/**
	 * The feature id for the '<em><b>Author</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__AUTHOR = 0;

	/**
	 * The feature id for the '<em><b>Boilers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__BOILERS = 1;

	/**
	 * The feature id for the '<em><b>Chps</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__CHPS = 2;

	/**
	 * The feature id for the '<em><b>Solarpanels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__SOLARPANELS = 3;

	/**
	 * The feature id for the '<em><b>Inverters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__INVERTERS = 4;

	/**
	 * The feature id for the '<em><b>Manufacturers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG__MANUFACTURERS = 5;

	/**
	 * The number of structural features of the '<em>Energy Components Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Energy Components Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENTS_CATALOG_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.EnergyComponentImpl <em>Energy Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.EnergyComponentImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getEnergyComponent()
	 * @generated
	 */
	int ENERGY_COMPONENT = 7;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__MODEL_NAME = 0;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__REVISION_YEAR = 1;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT__PRODUCED_BY = 2;

	/**
	 * The number of structural features of the '<em>Energy Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Energy Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENERGY_COMPONENT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.ChemicalEnergyDeviceImpl <em>Chemical Energy Device</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.ChemicalEnergyDeviceImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getChemicalEnergyDevice()
	 * @generated
	 */
	int CHEMICAL_ENERGY_DEVICE = 6;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE__MODEL_NAME = ENERGY_COMPONENT__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE__REVISION_YEAR = ENERGY_COMPONENT__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE__PRODUCED_BY = ENERGY_COMPONENT__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE__INSTALLED_THERMAL_POWER = ENERGY_COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Chemical Energy Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE_FEATURE_COUNT = ENERGY_COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Chemical Energy Device</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHEMICAL_ENERGY_DEVICE_OPERATION_COUNT = ENERGY_COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.BoilerImpl <em>Boiler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.BoilerImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getBoiler()
	 * @generated
	 */
	int BOILER = 1;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__MODEL_NAME = CHEMICAL_ENERGY_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__REVISION_YEAR = CHEMICAL_ENERGY_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__PRODUCED_BY = CHEMICAL_ENERGY_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__INSTALLED_THERMAL_POWER = CHEMICAL_ENERGY_DEVICE__INSTALLED_THERMAL_POWER;

	/**
	 * The feature id for the '<em><b>Boiler Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER__BOILER_TYPE = CHEMICAL_ENERGY_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Boiler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER_FEATURE_COUNT = CHEMICAL_ENERGY_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Boiler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOILER_OPERATION_COUNT = CHEMICAL_ENERGY_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.CombinedHeatPowerImpl <em>Combined Heat Power</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.CombinedHeatPowerImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getCombinedHeatPower()
	 * @generated
	 */
	int COMBINED_HEAT_POWER = 2;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__MODEL_NAME = CHEMICAL_ENERGY_DEVICE__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__REVISION_YEAR = CHEMICAL_ENERGY_DEVICE__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__PRODUCED_BY = CHEMICAL_ENERGY_DEVICE__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Installed Thermal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__INSTALLED_THERMAL_POWER = CHEMICAL_ENERGY_DEVICE__INSTALLED_THERMAL_POWER;

	/**
	 * The feature id for the '<em><b>Thermal Efficiency</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER__THERMAL_EFFICIENCY = CHEMICAL_ENERGY_DEVICE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Combined Heat Power</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER_FEATURE_COUNT = CHEMICAL_ENERGY_DEVICE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Combined Heat Power</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_HEAT_POWER_OPERATION_COUNT = CHEMICAL_ENERGY_DEVICE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.SolarPanelImpl <em>Solar Panel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.SolarPanelImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getSolarPanel()
	 * @generated
	 */
	int SOLAR_PANEL = 3;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__MODEL_NAME = ENERGY_COMPONENT__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__REVISION_YEAR = ENERGY_COMPONENT__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__PRODUCED_BY = ENERGY_COMPONENT__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Nominal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL__NOMINAL_POWER = ENERGY_COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Solar Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL_FEATURE_COUNT = ENERGY_COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Solar Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOLAR_PANEL_OPERATION_COUNT = ENERGY_COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.InverterImpl <em>Inverter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.InverterImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getInverter()
	 * @generated
	 */
	int INVERTER = 4;

	/**
	 * The feature id for the '<em><b>Model Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__MODEL_NAME = ENERGY_COMPONENT__MODEL_NAME;

	/**
	 * The feature id for the '<em><b>Revision Year</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__REVISION_YEAR = ENERGY_COMPONENT__REVISION_YEAR;

	/**
	 * The feature id for the '<em><b>Produced By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__PRODUCED_BY = ENERGY_COMPONENT__PRODUCED_BY;

	/**
	 * The feature id for the '<em><b>Nominal Power</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER__NOMINAL_POWER = ENERGY_COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Inverter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER_FEATURE_COUNT = ENERGY_COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Inverter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVERTER_OPERATION_COUNT = ENERGY_COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.impl.ManufacturerImpl <em>Manufacturer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.impl.ManufacturerImpl
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getManufacturer()
	 * @generated
	 */
	int MANUFACTURER = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER__NAME = 0;

	/**
	 * The number of structural features of the '<em>Manufacturer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Manufacturer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANUFACTURER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link demo.catalog.democatalog.BoilerType <em>Boiler Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see demo.catalog.democatalog.BoilerType
	 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getBoilerType()
	 * @generated
	 */
	int BOILER_TYPE = 8;

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.EnergyComponentsCatalog <em>Energy Components Catalog</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energy Components Catalog</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog
	 * @generated
	 */
	EClass getEnergyComponentsCatalog();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getAuthor <em>Author</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Author</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getAuthor()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EAttribute getEnergyComponentsCatalog_Author();

	/**
	 * Returns the meta object for the containment reference list '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getBoilers <em>Boilers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Boilers</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getBoilers()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EReference getEnergyComponentsCatalog_Boilers();

	/**
	 * Returns the meta object for the containment reference list '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getChps <em>Chps</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Chps</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getChps()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EReference getEnergyComponentsCatalog_Chps();

	/**
	 * Returns the meta object for the containment reference list '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getSolarpanels <em>Solarpanels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Solarpanels</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getSolarpanels()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EReference getEnergyComponentsCatalog_Solarpanels();

	/**
	 * Returns the meta object for the containment reference list '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getInverters <em>Inverters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Inverters</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getInverters()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EReference getEnergyComponentsCatalog_Inverters();

	/**
	 * Returns the meta object for the containment reference list '{@link demo.catalog.democatalog.EnergyComponentsCatalog#getManufacturers <em>Manufacturers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Manufacturers</em>'.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog#getManufacturers()
	 * @see #getEnergyComponentsCatalog()
	 * @generated
	 */
	EReference getEnergyComponentsCatalog_Manufacturers();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.Boiler <em>Boiler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Boiler</em>'.
	 * @see demo.catalog.democatalog.Boiler
	 * @generated
	 */
	EClass getBoiler();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.Boiler#getBoilerType <em>Boiler Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Boiler Type</em>'.
	 * @see demo.catalog.democatalog.Boiler#getBoilerType()
	 * @see #getBoiler()
	 * @generated
	 */
	EAttribute getBoiler_BoilerType();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.CombinedHeatPower <em>Combined Heat Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combined Heat Power</em>'.
	 * @see demo.catalog.democatalog.CombinedHeatPower
	 * @generated
	 */
	EClass getCombinedHeatPower();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.CombinedHeatPower#getThermalEfficiency <em>Thermal Efficiency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Thermal Efficiency</em>'.
	 * @see demo.catalog.democatalog.CombinedHeatPower#getThermalEfficiency()
	 * @see #getCombinedHeatPower()
	 * @generated
	 */
	EAttribute getCombinedHeatPower_ThermalEfficiency();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.SolarPanel <em>Solar Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Solar Panel</em>'.
	 * @see demo.catalog.democatalog.SolarPanel
	 * @generated
	 */
	EClass getSolarPanel();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.SolarPanel#getNominalPower <em>Nominal Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Nominal Power</em>'.
	 * @see demo.catalog.democatalog.SolarPanel#getNominalPower()
	 * @see #getSolarPanel()
	 * @generated
	 */
	EAttribute getSolarPanel_NominalPower();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.Inverter <em>Inverter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inverter</em>'.
	 * @see demo.catalog.democatalog.Inverter
	 * @generated
	 */
	EClass getInverter();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.Inverter#getNominalPower <em>Nominal Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Nominal Power</em>'.
	 * @see demo.catalog.democatalog.Inverter#getNominalPower()
	 * @see #getInverter()
	 * @generated
	 */
	EAttribute getInverter_NominalPower();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.Manufacturer <em>Manufacturer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Manufacturer</em>'.
	 * @see demo.catalog.democatalog.Manufacturer
	 * @generated
	 */
	EClass getManufacturer();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.Manufacturer#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see demo.catalog.democatalog.Manufacturer#getName()
	 * @see #getManufacturer()
	 * @generated
	 */
	EAttribute getManufacturer_Name();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.ChemicalEnergyDevice <em>Chemical Energy Device</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Chemical Energy Device</em>'.
	 * @see demo.catalog.democatalog.ChemicalEnergyDevice
	 * @generated
	 */
	EClass getChemicalEnergyDevice();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.ChemicalEnergyDevice#getInstalledThermalPower <em>Installed Thermal Power</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Installed Thermal Power</em>'.
	 * @see demo.catalog.democatalog.ChemicalEnergyDevice#getInstalledThermalPower()
	 * @see #getChemicalEnergyDevice()
	 * @generated
	 */
	EAttribute getChemicalEnergyDevice_InstalledThermalPower();

	/**
	 * Returns the meta object for class '{@link demo.catalog.democatalog.EnergyComponent <em>Energy Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Energy Component</em>'.
	 * @see demo.catalog.democatalog.EnergyComponent
	 * @generated
	 */
	EClass getEnergyComponent();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.EnergyComponent#getModelName <em>Model Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Model Name</em>'.
	 * @see demo.catalog.democatalog.EnergyComponent#getModelName()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EAttribute getEnergyComponent_ModelName();

	/**
	 * Returns the meta object for the attribute '{@link demo.catalog.democatalog.EnergyComponent#getRevisionYear <em>Revision Year</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Revision Year</em>'.
	 * @see demo.catalog.democatalog.EnergyComponent#getRevisionYear()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EAttribute getEnergyComponent_RevisionYear();

	/**
	 * Returns the meta object for the reference '{@link demo.catalog.democatalog.EnergyComponent#getProducedBy <em>Produced By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Produced By</em>'.
	 * @see demo.catalog.democatalog.EnergyComponent#getProducedBy()
	 * @see #getEnergyComponent()
	 * @generated
	 */
	EReference getEnergyComponent_ProducedBy();

	/**
	 * Returns the meta object for enum '{@link demo.catalog.democatalog.BoilerType <em>Boiler Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Boiler Type</em>'.
	 * @see demo.catalog.democatalog.BoilerType
	 * @generated
	 */
	EEnum getBoilerType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	democatalogFactory getdemocatalogFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.EnergyComponentsCatalogImpl <em>Energy Components Catalog</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.EnergyComponentsCatalogImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getEnergyComponentsCatalog()
		 * @generated
		 */
		EClass ENERGY_COMPONENTS_CATALOG = eINSTANCE.getEnergyComponentsCatalog();

		/**
		 * The meta object literal for the '<em><b>Author</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENTS_CATALOG__AUTHOR = eINSTANCE.getEnergyComponentsCatalog_Author();

		/**
		 * The meta object literal for the '<em><b>Boilers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENTS_CATALOG__BOILERS = eINSTANCE.getEnergyComponentsCatalog_Boilers();

		/**
		 * The meta object literal for the '<em><b>Chps</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENTS_CATALOG__CHPS = eINSTANCE.getEnergyComponentsCatalog_Chps();

		/**
		 * The meta object literal for the '<em><b>Solarpanels</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENTS_CATALOG__SOLARPANELS = eINSTANCE.getEnergyComponentsCatalog_Solarpanels();

		/**
		 * The meta object literal for the '<em><b>Inverters</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENTS_CATALOG__INVERTERS = eINSTANCE.getEnergyComponentsCatalog_Inverters();

		/**
		 * The meta object literal for the '<em><b>Manufacturers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENTS_CATALOG__MANUFACTURERS = eINSTANCE.getEnergyComponentsCatalog_Manufacturers();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.BoilerImpl <em>Boiler</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.BoilerImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getBoiler()
		 * @generated
		 */
		EClass BOILER = eINSTANCE.getBoiler();

		/**
		 * The meta object literal for the '<em><b>Boiler Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BOILER__BOILER_TYPE = eINSTANCE.getBoiler_BoilerType();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.CombinedHeatPowerImpl <em>Combined Heat Power</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.CombinedHeatPowerImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getCombinedHeatPower()
		 * @generated
		 */
		EClass COMBINED_HEAT_POWER = eINSTANCE.getCombinedHeatPower();

		/**
		 * The meta object literal for the '<em><b>Thermal Efficiency</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_HEAT_POWER__THERMAL_EFFICIENCY = eINSTANCE.getCombinedHeatPower_ThermalEfficiency();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.SolarPanelImpl <em>Solar Panel</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.SolarPanelImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getSolarPanel()
		 * @generated
		 */
		EClass SOLAR_PANEL = eINSTANCE.getSolarPanel();

		/**
		 * The meta object literal for the '<em><b>Nominal Power</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SOLAR_PANEL__NOMINAL_POWER = eINSTANCE.getSolarPanel_NominalPower();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.InverterImpl <em>Inverter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.InverterImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getInverter()
		 * @generated
		 */
		EClass INVERTER = eINSTANCE.getInverter();

		/**
		 * The meta object literal for the '<em><b>Nominal Power</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INVERTER__NOMINAL_POWER = eINSTANCE.getInverter_NominalPower();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.ManufacturerImpl <em>Manufacturer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.ManufacturerImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getManufacturer()
		 * @generated
		 */
		EClass MANUFACTURER = eINSTANCE.getManufacturer();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MANUFACTURER__NAME = eINSTANCE.getManufacturer_Name();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.ChemicalEnergyDeviceImpl <em>Chemical Energy Device</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.ChemicalEnergyDeviceImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getChemicalEnergyDevice()
		 * @generated
		 */
		EClass CHEMICAL_ENERGY_DEVICE = eINSTANCE.getChemicalEnergyDevice();

		/**
		 * The meta object literal for the '<em><b>Installed Thermal Power</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHEMICAL_ENERGY_DEVICE__INSTALLED_THERMAL_POWER = eINSTANCE
				.getChemicalEnergyDevice_InstalledThermalPower();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.impl.EnergyComponentImpl <em>Energy Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.impl.EnergyComponentImpl
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getEnergyComponent()
		 * @generated
		 */
		EClass ENERGY_COMPONENT = eINSTANCE.getEnergyComponent();

		/**
		 * The meta object literal for the '<em><b>Model Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENT__MODEL_NAME = eINSTANCE.getEnergyComponent_ModelName();

		/**
		 * The meta object literal for the '<em><b>Revision Year</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENERGY_COMPONENT__REVISION_YEAR = eINSTANCE.getEnergyComponent_RevisionYear();

		/**
		 * The meta object literal for the '<em><b>Produced By</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENERGY_COMPONENT__PRODUCED_BY = eINSTANCE.getEnergyComponent_ProducedBy();

		/**
		 * The meta object literal for the '{@link demo.catalog.democatalog.BoilerType <em>Boiler Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see demo.catalog.democatalog.BoilerType
		 * @see demo.catalog.democatalog.impl.democatalogPackageImpl#getBoilerType()
		 * @generated
		 */
		EEnum BOILER_TYPE = eINSTANCE.getBoilerType();

	}

} //democatalogPackage
