/**
 */
package demo.catalog.democatalog.impl;

import demo.catalog.democatalog.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class democatalogFactoryImpl extends EFactoryImpl implements democatalogFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static democatalogFactory init() {
		try {
			democatalogFactory thedemocatalogFactory = (democatalogFactory) EPackage.Registry.INSTANCE
					.getEFactory(democatalogPackage.eNS_URI);
			if (thedemocatalogFactory != null) {
				return thedemocatalogFactory;
			}
		} catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new democatalogFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public democatalogFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
		case democatalogPackage.ENERGY_COMPONENTS_CATALOG:
			return createEnergyComponentsCatalog();
		case democatalogPackage.BOILER:
			return createBoiler();
		case democatalogPackage.COMBINED_HEAT_POWER:
			return createCombinedHeatPower();
		case democatalogPackage.SOLAR_PANEL:
			return createSolarPanel();
		case democatalogPackage.INVERTER:
			return createInverter();
		case democatalogPackage.MANUFACTURER:
			return createManufacturer();
		default:
			throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
		case democatalogPackage.BOILER_TYPE:
			return createBoilerTypeFromString(eDataType, initialValue);
		default:
			throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
		case democatalogPackage.BOILER_TYPE:
			return convertBoilerTypeToString(eDataType, instanceValue);
		default:
			throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EnergyComponentsCatalog createEnergyComponentsCatalog() {
		EnergyComponentsCatalogImpl energyComponentsCatalog = new EnergyComponentsCatalogImpl();
		return energyComponentsCatalog;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Boiler createBoiler() {
		BoilerImpl boiler = new BoilerImpl();
		return boiler;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CombinedHeatPower createCombinedHeatPower() {
		CombinedHeatPowerImpl combinedHeatPower = new CombinedHeatPowerImpl();
		return combinedHeatPower;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SolarPanel createSolarPanel() {
		SolarPanelImpl solarPanel = new SolarPanelImpl();
		return solarPanel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Inverter createInverter() {
		InverterImpl inverter = new InverterImpl();
		return inverter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Manufacturer createManufacturer() {
		ManufacturerImpl manufacturer = new ManufacturerImpl();
		return manufacturer;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BoilerType createBoilerTypeFromString(EDataType eDataType, String initialValue) {
		BoilerType result = BoilerType.get(initialValue);
		if (result == null)
			throw new IllegalArgumentException(
					"The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertBoilerTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public democatalogPackage getdemocatalogPackage() {
		return (democatalogPackage) getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static democatalogPackage getPackage() {
		return democatalogPackage.eINSTANCE;
	}

} //democatalogFactoryImpl
