/**
 */
package demo.catalog.democatalog.util;

import demo.catalog.democatalog.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see demo.catalog.democatalog.democatalogPackage
 * @generated
 */
public class democatalogAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static democatalogPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public democatalogAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = democatalogPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject) object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected democatalogSwitch<Adapter> modelSwitch = new democatalogSwitch<Adapter>() {
		@Override
		public Adapter caseEnergyComponentsCatalog(EnergyComponentsCatalog object) {
			return createEnergyComponentsCatalogAdapter();
		}

		@Override
		public Adapter caseBoiler(Boiler object) {
			return createBoilerAdapter();
		}

		@Override
		public Adapter caseCombinedHeatPower(CombinedHeatPower object) {
			return createCombinedHeatPowerAdapter();
		}

		@Override
		public Adapter caseSolarPanel(SolarPanel object) {
			return createSolarPanelAdapter();
		}

		@Override
		public Adapter caseInverter(Inverter object) {
			return createInverterAdapter();
		}

		@Override
		public Adapter caseManufacturer(Manufacturer object) {
			return createManufacturerAdapter();
		}

		@Override
		public Adapter caseChemicalEnergyDevice(ChemicalEnergyDevice object) {
			return createChemicalEnergyDeviceAdapter();
		}

		@Override
		public Adapter caseEnergyComponent(EnergyComponent object) {
			return createEnergyComponentAdapter();
		}

		@Override
		public Adapter defaultCase(EObject object) {
			return createEObjectAdapter();
		}
	};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject) target);
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.EnergyComponentsCatalog <em>Energy Components Catalog</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.EnergyComponentsCatalog
	 * @generated
	 */
	public Adapter createEnergyComponentsCatalogAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.Boiler <em>Boiler</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.Boiler
	 * @generated
	 */
	public Adapter createBoilerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.CombinedHeatPower <em>Combined Heat Power</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.CombinedHeatPower
	 * @generated
	 */
	public Adapter createCombinedHeatPowerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.SolarPanel <em>Solar Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.SolarPanel
	 * @generated
	 */
	public Adapter createSolarPanelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.Inverter <em>Inverter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.Inverter
	 * @generated
	 */
	public Adapter createInverterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.Manufacturer <em>Manufacturer</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.Manufacturer
	 * @generated
	 */
	public Adapter createManufacturerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.ChemicalEnergyDevice <em>Chemical Energy Device</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.ChemicalEnergyDevice
	 * @generated
	 */
	public Adapter createChemicalEnergyDeviceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link demo.catalog.democatalog.EnergyComponent <em>Energy Component</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see demo.catalog.democatalog.EnergyComponent
	 * @generated
	 */
	public Adapter createEnergyComponentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //democatalogAdapterFactory
