/**
 */
package demo.catalog.democatalog.util;

import demo.catalog.democatalog.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see demo.catalog.democatalog.democatalogPackage
 * @generated
 */
public class democatalogSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static democatalogPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public democatalogSwitch() {
		if (modelPackage == null) {
			modelPackage = democatalogPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
		case democatalogPackage.ENERGY_COMPONENTS_CATALOG: {
			EnergyComponentsCatalog energyComponentsCatalog = (EnergyComponentsCatalog) theEObject;
			T result = caseEnergyComponentsCatalog(energyComponentsCatalog);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.BOILER: {
			Boiler boiler = (Boiler) theEObject;
			T result = caseBoiler(boiler);
			if (result == null)
				result = caseChemicalEnergyDevice(boiler);
			if (result == null)
				result = caseEnergyComponent(boiler);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.COMBINED_HEAT_POWER: {
			CombinedHeatPower combinedHeatPower = (CombinedHeatPower) theEObject;
			T result = caseCombinedHeatPower(combinedHeatPower);
			if (result == null)
				result = caseChemicalEnergyDevice(combinedHeatPower);
			if (result == null)
				result = caseEnergyComponent(combinedHeatPower);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.SOLAR_PANEL: {
			SolarPanel solarPanel = (SolarPanel) theEObject;
			T result = caseSolarPanel(solarPanel);
			if (result == null)
				result = caseEnergyComponent(solarPanel);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.INVERTER: {
			Inverter inverter = (Inverter) theEObject;
			T result = caseInverter(inverter);
			if (result == null)
				result = caseEnergyComponent(inverter);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.MANUFACTURER: {
			Manufacturer manufacturer = (Manufacturer) theEObject;
			T result = caseManufacturer(manufacturer);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.CHEMICAL_ENERGY_DEVICE: {
			ChemicalEnergyDevice chemicalEnergyDevice = (ChemicalEnergyDevice) theEObject;
			T result = caseChemicalEnergyDevice(chemicalEnergyDevice);
			if (result == null)
				result = caseEnergyComponent(chemicalEnergyDevice);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case democatalogPackage.ENERGY_COMPONENT: {
			EnergyComponent energyComponent = (EnergyComponent) theEObject;
			T result = caseEnergyComponent(energyComponent);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		default:
			return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Energy Components Catalog</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Energy Components Catalog</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnergyComponentsCatalog(EnergyComponentsCatalog object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Boiler</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Boiler</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBoiler(Boiler object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Combined Heat Power</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Combined Heat Power</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCombinedHeatPower(CombinedHeatPower object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Solar Panel</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Solar Panel</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSolarPanel(SolarPanel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Inverter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Inverter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInverter(Inverter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Manufacturer</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Manufacturer</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseManufacturer(Manufacturer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Chemical Energy Device</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Chemical Energy Device</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseChemicalEnergyDevice(ChemicalEnergyDevice object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Energy Component</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Energy Component</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnergyComponent(EnergyComponent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //democatalogSwitch
